.ol-map-plain, .map-back, .map-plain-container {
  width: 100%;
  height: 100%;
}

.ol-map-plain, .map-back {
  position: absolute;
  top: 0;
  left: 0;

  &.disabled {
    pointer-events: none;
  }
}

.map-back {
  background-color:  rgb(var(--bs-gray-300-rgb));
  overflow: hidden;

  .mapboxgl-map, .mapboxgl-canvas-container {
    width: 100%;
    height: 100%;
  }
}

.map-container,
.ol-map-plain {
  .map-inner {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9;
    pointer-events: none;
  }
}

.map-container.fullscreen {
  position: fixed !important;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  height: auto !important;
  z-index: 9999;
  margin: 0 !important;
}
